import { ActionType } from "typesafe-actions";
export declare const THEME_NAMESPACE = "theme";
export declare type ThemeColours = "primaryColor" | "secondaryColor" | "primaryText" | "secondaryText" | "lightPrimaryColor" | "lightSecondaryColor" | "pageBackground" | "red" | "orange" | "yellow" | "olive" | "green" | "teal" | "blue" | "violet" | "purple" | "pink" | "brown" | "grey" | "black" | "subtleTransparentBlack" | "transparentBlack" | "strongTransparentBlack" | "veryStrongTransparentBlack" | "subtleTransparentWhite" | "transparentWhite" | "strongTransparentWhite" | "veryStrongTransparentWhite";
export declare type ColourListType = {
    [key in ThemeColours]: string;
} | undefined;
export interface ThemeRequest {
    theme: ThemeNames;
}
export interface ThemeSuccess {
    colours: ColourListType;
}
export interface ThemeError {
    error: Error;
}
export declare type ThemeNames = "portal" | "saas" | "default";
export declare type ThemeStateType = Partial<ThemeRequest & ThemeSuccess & ThemeError>;
export declare type ThemeActionsType = ActionType<typeof import("./actions")>;
